diff -urN Original_4.4.4_r1/frameworks/base/media/java/android/media/MediaPlayer.java AndroidSource/frameworks/base/media/java/android/media/MediaPlayer.java
--- Original_4.4.4_r1/frameworks/base/media/java/android/media/MediaPlayer.java	2016-01-29 15:12:31.439488000 +0900
+++ AndroidSource/frameworks/base/media/java/android/media/MediaPlayer.java	2016-09-26 18:37:06.839666097 +0900
@@ -1119,8 +2518,9 @@
             mWakeLock = null;
         }
 
-        PowerManager pm = (PowerManager)context.getSystemService(Context.POWER_SERVICE);
-        mWakeLock = pm.newWakeLock(mode|PowerManager.ON_AFTER_RELEASE, MediaPlayer.class.getName());
+        PowerManager pm = (PowerManager) context.getSystemService(Context.POWER_SERVICE);
+        mWakeLock = pm.newWakeLock(mode | PowerManager.ON_AFTER_RELEASE,
+                MediaPlayer.class.getName());
         mWakeLock.setReferenceCounted(false);
         if (washeld) {
             mWakeLock.acquire();
@@ -1129,13 +2529,12 @@
 
     /**
      * Control whether we should use the attached SurfaceHolder to keep the
-     * screen on while video playback is occurring.  This is the preferred
-     * method over {@link #setWakeMode} where possible, since it doesn't
-     * require that the application have permission for low-level wake lock
-     * access.
-     *
-     * @param screenOn Supply true to keep the screen on, false to allow it
-     * to turn off.
+     * screen on while video playback is occurring. This is the preferred method
+     * over {@link #setWakeMode} where possible, since it doesn't require that
+     * the application have permission for low-level wake lock access.
+     * 
+     * @param screenOn Supply true to keep the screen on, false to allow it to
+     *            turn off.
      */
     public void setScreenOnWhilePlaying(boolean screenOn) {
         if (mScreenOnWhilePlaying != screenOn) {
@@ -1167,77 +2566,73 @@
 
     /**
      * Returns the width of the video.
-     *
-     * @return the width of the video, or 0 if there is no video,
-     * no display surface was set, or the width has not been determined
-     * yet. The OnVideoSizeChangedListener can be registered via
-     * {@link #setOnVideoSizeChangedListener(OnVideoSizeChangedListener)}
-     * to provide a notification when the width is available.
+     * 
+     * @return the width of the video, or 0 if there is no video, no display
+     *         surface was set, or the width has not been determined yet. The
+     *         OnVideoSizeChangedListener can be registered via
+     *         {@link #setOnVideoSizeChangedListener(OnVideoSizeChangedListener)}
+     *         to provide a notification when the width is available.
      */
     public native int getVideoWidth();
 
     /**
      * Returns the height of the video.
-     *
-     * @return the height of the video, or 0 if there is no video,
-     * no display surface was set, or the height has not been determined
-     * yet. The OnVideoSizeChangedListener can be registered via
-     * {@link #setOnVideoSizeChangedListener(OnVideoSizeChangedListener)}
-     * to provide a notification when the height is available.
+     * 
+     * @return the height of the video, or 0 if there is no video, no display
+     *         surface was set, or the height has not been determined yet. The
+     *         OnVideoSizeChangedListener can be registered via
+     *         {@link #setOnVideoSizeChangedListener(OnVideoSizeChangedListener)}
+     *         to provide a notification when the height is available.
      */
     public native int getVideoHeight();
 
     /**
      * Checks whether the MediaPlayer is playing.
-     *
+     * 
      * @return true if currently playing, false otherwise
      * @throws IllegalStateException if the internal player engine has not been
-     * initialized or has been released.
+     *             initialized or has been released.
      */
     public native boolean isPlaying();
 
     /**
      * Seeks to specified time position.
-     *
+     * 
      * @param msec the offset in milliseconds from the start to seek to
      * @throws IllegalStateException if the internal player engine has not been
-     * initialized
+     *             initialized
      */
     public native void seekTo(int msec) throws IllegalStateException;
 
     /**
      * Gets the current playback position.
-     *
+     * 
      * @return the current position in milliseconds
      */
     public native int getCurrentPosition();
 
     /**
      * Gets the duration of the file.
-     *
-     * @return the duration in milliseconds, if no duration is available
-     *         (for example, if streaming live content), -1 is returned.
+     * 
+     * @return the duration in milliseconds, if no duration is available (for
+     *         example, if streaming live content), -1 is returned.
      */
     public native int getDuration();
 
     /**
      * Gets the media metadata.
-     *
-     * @param update_only controls whether the full set of available
-     * metadata is returned or just the set that changed since the
-     * last call. See {@see #METADATA_UPDATE_ONLY} and {@see
-     * #METADATA_ALL}.
-     *
-     * @param apply_filter if true only metadata that matches the
-     * filter is returned. See {@see #APPLY_METADATA_FILTER} and {@see
-     * #BYPASS_METADATA_FILTER}.
-     *
-     * @return The metadata, possibly empty. null if an error occured.
-     // FIXME: unhide.
-     * {@hide}
+     * 
+     * @param update_only controls whether the full set of available metadata is
+     *            returned or just the set that changed since the last call. See
+     *            {@see #METADATA_UPDATE_ONLY} and {@see #METADATA_ALL}.
+     * @param apply_filter if true only metadata that matches the filter is
+     *            returned. See {@see #APPLY_METADATA_FILTER} and {@see
+     *            #BYPASS_METADATA_FILTER}.
+     * @return The metadata, possibly empty. null if an error occured. // FIXME:
+     *         unhide. {@hide}
      */
     public Metadata getMetadata(final boolean update_only,
-                                final boolean apply_filter) {
+            final boolean apply_filter) {
         Parcel reply = Parcel.obtain();
         Metadata data = new Metadata();
 
@@ -1256,23 +2651,18 @@
     }
 
     /**
-     * Set a filter for the metadata update notification and update
-     * retrieval. The caller provides 2 set of metadata keys, allowed
-     * and blocked. The blocked set always takes precedence over the
-     * allowed one.
+     * Set a filter for the metadata update notification and update retrieval.
+     * The caller provides 2 set of metadata keys, allowed and blocked. The
+     * blocked set always takes precedence over the allowed one.
      * Metadata.MATCH_ALL and Metadata.MATCH_NONE are 2 sets available as
-     * shorthands to allow/block all or no metadata.
-     *
-     * By default, there is no filter set.
-     *
-     * @param allow Is the set of metadata the client is interested
-     *              in receiving new notifications for.
-     * @param block Is the set of metadata the client is not interested
-     *              in receiving new notifications for.
-     * @return The call status code.
-     *
-     // FIXME: unhide.
-     * {@hide}
+     * shorthands to allow/block all or no metadata. By default, there is no
+     * filter set.
+     * 
+     * @param allow Is the set of metadata the client is interested in receiving
+     *            new notifications for.
+     * @param block Is the set of metadata the client is not interested in
+     *            receiving new notifications for.
+     * @return The call status code. // FIXME: unhide. {@hide}
      */
     public int setMetadataFilter(Set<Integer> allow, Set<Integer> block) {
         // Do our serialization manually instead of calling
@@ -1280,7 +2670,7 @@
         // we avoid paying the price of calling writeValue (used by
         // writeArray) which burns an extra int per element to encode
         // the type.
-        Parcel request =  newRequest();
+        Parcel request = newRequest();
 
         // The parcel starts already with an interface token. There
         // are 2 filters. Each one starts with a 4bytes number to
@@ -1293,11 +2683,11 @@
         }
 
         request.writeInt(allow.size());
-        for(Integer t: allow) {
+        for (Integer t : allow) {
             request.writeInt(t);
         }
         request.writeInt(block.size());
-        for(Integer t: block) {
+        for (Integer t : block) {
             request.writeInt(t);
         }
         return native_setMetadataFilter(request);
@@ -1305,40 +2695,35 @@
 
     /**
      * Set the MediaPlayer to start when this MediaPlayer finishes playback
-     * (i.e. reaches the end of the stream).
-     * The media framework will attempt to transition from this player to
-     * the next as seamlessly as possible. The next player can be set at
-     * any time before completion. The next player must be prepared by the
-     * app, and the application should not call start() on it.
-     * The next MediaPlayer must be different from 'this'. An exception
-     * will be thrown if next == this.
-     * The application may call setNextMediaPlayer(null) to indicate no
-     * next player should be started at the end of playback.
-     * If the current player is looping, it will keep looping and the next
-     * player will not be started.
-     *
+     * (i.e. reaches the end of the stream). The media framework will attempt to
+     * transition from this player to the next as seamlessly as possible. The
+     * next player can be set at any time before completion. The next player
+     * must be prepared by the app, and the application should not call start()
+     * on it. The next MediaPlayer must be different from 'this'. An exception
+     * will be thrown if next == this. The application may call
+     * setNextMediaPlayer(null) to indicate no next player should be started at
+     * the end of playback. If the current player is looping, it will keep
+     * looping and the next player will not be started.
+     * 
      * @param next the player to start after this one completes playback.
-     *
      */
     public native void setNextMediaPlayer(MediaPlayer next);
 
     /**
-     * Releases resources associated with this MediaPlayer object.
-     * It is considered good practice to call this method when you're
-     * done using the MediaPlayer. In particular, whenever an Activity
-     * of an application is paused (its onPause() method is called),
-     * or stopped (its onStop() method is called), this method should be
-     * invoked to release the MediaPlayer object, unless the application
-     * has a special need to keep the object around. In addition to
-     * unnecessary resources (such as memory and instances of codecs)
-     * being held, failure to call this method immediately if a
-     * MediaPlayer object is no longer needed may also lead to
-     * continuous battery consumption for mobile devices, and playback
-     * failure for other applications if no multiple instances of the
-     * same codec are supported on a device. Even if multiple instances
-     * of the same codec are supported, some performance degradation
-     * may be expected when unnecessary multiple instances are used
-     * at the same time.
+     * Releases resources associated with this MediaPlayer object. It is
+     * considered good practice to call this method when you're done using the
+     * MediaPlayer. In particular, whenever an Activity of an application is
+     * paused (its onPause() method is called), or stopped (its onStop() method
+     * is called), this method should be invoked to release the MediaPlayer
+     * object, unless the application has a special need to keep the object
+     * around. In addition to unnecessary resources (such as memory and
+     * instances of codecs) being held, failure to call this method immediately
+     * if a MediaPlayer object is no longer needed may also lead to continuous
+     * battery consumption for mobile devices, and playback failure for other
+     * applications if no multiple instances of the same codec are supported on
+     * a device. Even if multiple instances of the same codec are supported,
+     * some performance degradation may be expected when unnecessary multiple
+     * instances are used at the same time.
      */
     public void release() {
         stayAwake(false);
@@ -1362,14 +2747,14 @@
     private native void _release();
 
     /**
-     * Resets the MediaPlayer to its uninitialized state. After calling
-     * this method, you will have to initialize it again by setting the
-     * data source and calling prepare().
+     * Resets the MediaPlayer to its uninitialized state. After calling this
+     * method, you will have to initialize it again by setting the data source
+     * and calling prepare().
      */
     public void reset() {
         mSelectedSubtitleTrackIndex = -1;
-        synchronized(mOpenSubtitleSources) {
-            for (final InputStream is: mOpenSubtitleSources) {
+        synchronized (mOpenSubtitleSources) {
+            for (final InputStream is : mOpenSubtitleSources) {
                 try {
                     is.close();
                 } catch (IOException e) {
@@ -1404,7 +2789,7 @@
      * for a list of stream types. Must call this method before prepare() or
      * prepareAsync() in order for the target stream type to become effective
      * thereafter.
-     *
+     * 
      * @param streamtype the audio stream type
      * @see android.media.AudioManager
      */
@@ -1412,39 +2797,40 @@
 
     /**
      * Sets the player to be looping or non-looping.
-     *
+     * 
      * @param looping whether to loop or not
      */
     public native void setLooping(boolean looping);
 
     /**
      * Checks whether the MediaPlayer is looping or non-looping.
-     *
+     * 
      * @return true if the MediaPlayer is currently looping, false otherwise
      */
     public native boolean isLooping();
 
     /**
-     * Sets the volume on this player.
-     * This API is recommended for balancing the output of audio streams
-     * within an application. Unless you are writing an application to
-     * control user settings, this API should be used in preference to
-     * {@link AudioManager#setStreamVolume(int, int, int)} which sets the volume of ALL streams of
-     * a particular type. Note that the passed volume values are raw scalars in range 0.0 to 1.0.
-     * UI controls should be scaled logarithmically.
-     *
+     * Sets the volume on this player. This API is recommended for balancing the
+     * output of audio streams within an application. Unless you are writing an
+     * application to control user settings, this API should be used in
+     * preference to {@link AudioManager#setStreamVolume(int, int, int)} which
+     * sets the volume of ALL streams of a particular type. Note that the passed
+     * volume values are raw scalars in range 0.0 to 1.0. UI controls should be
+     * scaled logarithmically.
+     * 
      * @param leftVolume left volume scalar
      * @param rightVolume right volume scalar
      */
     /*
-     * FIXME: Merge this into javadoc comment above when setVolume(float) is not @hide.
-     * The single parameter form below is preferred if the channel volumes don't need
-     * to be set independently.
+     * FIXME: Merge this into javadoc comment above when setVolume(float) is not
+     * @hide. The single parameter form below is preferred if the channel
+     * volumes don't need to be set independently.
      */
     public native void setVolume(float leftVolume, float rightVolume);
 
     /**
      * Similar, excepts sets volume of all channels to same value.
+     * 
      * @hide
      */
     public void setVolume(float volume) {
@@ -1453,110 +2839,122 @@
 
     /**
      * Sets the audio session ID.
-     *
-     * @param sessionId the audio session ID.
-     * The audio session ID is a system wide unique identifier for the audio stream played by
-     * this MediaPlayer instance.
-     * The primary use of the audio session ID  is to associate audio effects to a particular
-     * instance of MediaPlayer: if an audio session ID is provided when creating an audio effect,
-     * this effect will be applied only to the audio content of media players within the same
-     * audio session and not to the output mix.
-     * When created, a MediaPlayer instance automatically generates its own audio session ID.
-     * However, it is possible to force this player to be part of an already existing audio session
-     * by calling this method.
-     * This method must be called before one of the overloaded <code> setDataSource </code> methods.
+     * 
+     * @param sessionId the audio session ID. The audio session ID is a system
+     *            wide unique identifier for the audio stream played by this
+     *            MediaPlayer instance. The primary use of the audio session ID
+     *            is to associate audio effects to a particular instance of
+     *            MediaPlayer: if an audio session ID is provided when creating
+     *            an audio effect, this effect will be applied only to the audio
+     *            content of media players within the same audio session and not
+     *            to the output mix. When created, a MediaPlayer instance
+     *            automatically generates its own audio session ID. However, it
+     *            is possible to force this player to be part of an already
+     *            existing audio session by calling this method. This method
+     *            must be called before one of the overloaded
+     *            <code> setDataSource </code> methods.
      * @throws IllegalStateException if it is called in an invalid state
      */
-    public native void setAudioSessionId(int sessionId)  throws IllegalArgumentException, IllegalStateException;
+    public native void setAudioSessionId(int sessionId) throws IllegalArgumentException,
+            IllegalStateException;
 
     /**
      * Returns the audio session ID.
-     *
-     * @return the audio session ID. {@see #setAudioSessionId(int)}
-     * Note that the audio session ID is 0 only if a problem occured when the MediaPlayer was contructed.
+     * 
+     * @return the audio session ID. {@see #setAudioSessionId(int)} Note that
+     *         the audio session ID is 0 only if a problem occured when the
+     *         MediaPlayer was contructed.
      */
     public native int getAudioSessionId();
 
     /**
-     * Attaches an auxiliary effect to the player. A typical auxiliary effect is a reverberation
-     * effect which can be applied on any sound source that directs a certain amount of its
-     * energy to this effect. This amount is defined by setAuxEffectSendLevel().
-     * {@see #setAuxEffectSendLevel(float)}.
-     * <p>After creating an auxiliary effect (e.g.
+     * Attaches an auxiliary effect to the player. A typical auxiliary effect is
+     * a reverberation effect which can be applied on any sound source that
+     * directs a certain amount of its energy to this effect. This amount is
+     * defined by setAuxEffectSendLevel(). {@see #setAuxEffectSendLevel(float)}.
+     * <p>
+     * After creating an auxiliary effect (e.g.
      * {@link android.media.audiofx.EnvironmentalReverb}), retrieve its ID with
-     * {@link android.media.audiofx.AudioEffect#getId()} and use it when calling this method
-     * to attach the player to the effect.
-     * <p>To detach the effect from the player, call this method with a null effect id.
-     * <p>This method must be called after one of the overloaded <code> setDataSource </code>
-     * methods.
+     * {@link android.media.audiofx.AudioEffect#getId()} and use it when calling
+     * this method to attach the player to the effect.
+     * <p>
+     * To detach the effect from the player, call this method with a null effect
+     * id.
+     * <p>
+     * This method must be called after one of the overloaded
+     * <code> setDataSource </code> methods.
+     * 
      * @param effectId system wide unique id of the effect to attach
      */
     public native void attachAuxEffect(int effectId);
 
-
     /**
-     * Sets the send level of the player to the attached auxiliary effect
-     * {@see #attachAuxEffect(int)}. The level value range is 0 to 1.0.
-     * <p>By default the send level is 0, so even if an effect is attached to the player
-     * this method must be called for the effect to be applied.
-     * <p>Note that the passed level value is a raw scalar. UI controls should be scaled
-     * logarithmically: the gain applied by audio framework ranges from -72dB to 0dB,
-     * so an appropriate conversion from linear UI input x to level is:
-     * x == 0 -> level = 0
-     * 0 < x <= R -> level = 10^(72*(x-R)/20/R)
+     * Sets the send level of the player to the attached auxiliary effect {@see
+     * #attachAuxEffect(int)}. The level value range is 0 to 1.0.
+     * <p>
+     * By default the send level is 0, so even if an effect is attached to the
+     * player this method must be called for the effect to be applied.
+     * <p>
+     * Note that the passed level value is a raw scalar. UI controls should be
+     * scaled logarithmically: the gain applied by audio framework ranges from
+     * -72dB to 0dB, so an appropriate conversion from linear UI input x to
+     * level is: x == 0 -> level = 0 0 < x <= R -> level = 10^(72*(x-R)/20/R)
+     * 
      * @param level send level scalar
      */
     public native void setAuxEffectSendLevel(float level);
 
     /*
-     * @param request Parcel destinated to the media player. The
-     *                Interface token must be set to the IMediaPlayer
-     *                one to be routed correctly through the system.
+     * @param request Parcel destinated to the media player. The Interface token
+     * must be set to the IMediaPlayer one to be routed correctly through the
+     * system.
      * @param reply[out] Parcel that will contain the reply.
      * @return The status code.
      */
     private native final int native_invoke(Parcel request, Parcel reply);
 
-
     /*
      * @param update_only If true fetch only the set of metadata that have
-     *                    changed since the last invocation of getMetadata.
-     *                    The set is built using the unfiltered
-     *                    notifications the native player sent to the
-     *                    MediaPlayerService during that period of
-     *                    time. If false, all the metadatas are considered.
-     * @param apply_filter  If true, once the metadata set has been built based on
-     *                     the value update_only, the current filter is applied.
-     * @param reply[out] On return contains the serialized
-     *                   metadata. Valid only if the call was successful.
+     * changed since the last invocation of getMetadata. The set is built using
+     * the unfiltered notifications the native player sent to the
+     * MediaPlayerService during that period of time. If false, all the
+     * metadatas are considered.
+     * @param apply_filter If true, once the metadata set has been built based
+     * on the value update_only, the current filter is applied.
+     * @param reply[out] On return contains the serialized metadata. Valid only
+     * if the call was successful.
      * @return The status code.
      */
     private native final boolean native_getMetadata(boolean update_only,
-                                                    boolean apply_filter,
-                                                    Parcel reply);
+            boolean apply_filter,
+            Parcel reply);
 
     /*
-     * @param request Parcel with the 2 serialized lists of allowed
-     *                metadata types followed by the one to be
-     *                dropped. Each list starts with an integer
-     *                indicating the number of metadata type elements.
+     * @param request Parcel with the 2 serialized lists of allowed metadata
+     * types followed by the one to be dropped. Each list starts with an integer
+     * indicating the number of metadata type elements.
      * @return The status code.
      */
     private native final int native_setMetadataFilter(Parcel request);
 
     private static native final void native_init();
+
     private native final void native_setup(Object mediaplayer_this);
+
     private native final void native_finalize();
 
     /**
-     * Class for MediaPlayer to return each audio/video/subtitle track's metadata.
-     *
+     * Class for MediaPlayer to return each audio/video/subtitle track's
+     * metadata.
+     * 
      * @see android.media.MediaPlayer#getTrackInfo
      */
     static public class TrackInfo implements Parcelable {
         /**
          * Gets the track type.
-         * @return TrackType which indicates if the track is video, audio, timed text.
+         * 
+         * @return TrackType which indicates if the track is video, audio, timed
+         *         text.
          */
         public int getTrackType() {
             return mTrackType;
@@ -1564,9 +2962,10 @@
 
         /**
          * Gets the language code of the track.
-         * @return a language code in either way of ISO-639-1 or ISO-639-2.
-         * When the language is unknown or could not be determined,
-         * ISO-639-2 language code, "und", is returned.
+         * 
+         * @return a language code in either way of ISO-639-1 or ISO-639-2. When
+         *         the language is unknown or could not be determined, ISO-639-2
+         *         language code, "und", is returned.
          */
         public String getLanguage() {
             String language = mFormat.getString(MediaFormat.KEY_LANGUAGE);
@@ -1574,8 +2973,8 @@
         }
 
         /**
-         * Gets the {@link MediaFormat} of the track.  If the format is
-         * unknown or could not be determined, null is returned.
+         * Gets the {@link MediaFormat} of the track. If the format is unknown
+         * or could not be determined, null is returned.
          */
         public MediaFormat getFormat() {
             if (mTrackType == MEDIA_TRACK_TYPE_TIMEDTEXT
@@ -1602,10 +3001,10 @@
 
             if (mTrackType == MEDIA_TRACK_TYPE_TIMEDTEXT) {
                 mFormat = MediaFormat.createSubtitleFormat(
-                    MEDIA_MIMETYPE_TEXT_SUBRIP, language);
+                        MEDIA_MIMETYPE_TEXT_SUBRIP, language);
             } else if (mTrackType == MEDIA_TRACK_TYPE_SUBTITLE) {
                 mFormat = MediaFormat.createSubtitleFormat(
-                    MEDIA_MIMETYPE_TEXT_VTT, language);
+                        MEDIA_MIMETYPE_TEXT_VTT, language);
                 mFormat.setInteger(MediaFormat.KEY_IS_AUTOSELECT, in.readInt());
                 mFormat.setInteger(MediaFormat.KEY_IS_DEFAULT, in.readInt());
                 mFormat.setInteger(MediaFormat.KEY_IS_FORCED_SUBTITLE, in.readInt());
@@ -1647,27 +3046,27 @@
         /**
          * Used to read a TrackInfo from a Parcel.
          */
-        static final Parcelable.Creator<TrackInfo> CREATOR
-                = new Parcelable.Creator<TrackInfo>() {
-                    @Override
-                    public TrackInfo createFromParcel(Parcel in) {
-                        return new TrackInfo(in);
-                    }
+        static final Parcelable.Creator<TrackInfo> CREATOR = new Parcelable.Creator<TrackInfo>() {
+            @Override
+            public TrackInfo createFromParcel(Parcel in) {
+                return new TrackInfo(in);
+            }
 
-                    @Override
-                    public TrackInfo[] newArray(int size) {
-                        return new TrackInfo[size];
-                    }
-                };
+            @Override
+            public TrackInfo[] newArray(int size) {
+                return new TrackInfo[size];
+            }
+        };
 
     };
 
     /**
      * Returns an array of track information.
-     *
-     * @return Array of track info. The total number of tracks is the array length.
-     * Must be called again if an external timed text source has been added after any of the
-     * addTimedTextSource methods are called.
+     * 
+     * @return Array of track info. The total number of tracks is the array
+     *         length. Must be called again if an external timed text source has
+     *         been added after any of the addTimedTextSource methods are
+     *         called.
      * @throws IllegalStateException if it is called in an invalid state.
      */
     public TrackInfo[] getTrackInfo() throws IllegalStateException {
@@ -1676,7 +3075,7 @@
         TrackInfo allTrackInfo[] = new TrackInfo[trackInfo.length + mOutOfBandSubtitleTracks.size()];
         System.arraycopy(trackInfo, 0, allTrackInfo, 0, trackInfo.length);
         int i = trackInfo.length;
-        for (SubtitleTrack track: mOutOfBandSubtitleTracks) {
+        for (SubtitleTrack track : mOutOfBandSubtitleTracks) {
             allTrackInfo[i] = new TrackInfo(TrackInfo.MEDIA_TRACK_TYPE_SUBTITLE, track.getFormat());
             ++i;
         }
@@ -1698,8 +3097,10 @@
         }
     }
 
-    /* Do not change these values without updating their counterparts
-     * in include/media/stagefright/MediaDefs.h and media/libstagefright/MediaDefs.cpp!
+    /*
+     * Do not change these values without updating their counterparts in
+     * include/media/stagefright/MediaDefs.h and
+     * media/libstagefright/MediaDefs.cpp!
      */
     /**
      * MIME type for SubRip (SRT) container. Used in addTimedTextSource APIs.
@@ -1708,12 +3109,14 @@
 
     /**
      * MIME type for WebVTT subtitle data.
+     * 
      * @hide
      */
     public static final String MEDIA_MIMETYPE_TEXT_VTT = "text/vtt";
 
     /*
-     * A helper function to check if the mime type is supported by media framework.
+     * A helper function to check if the mime type is supported by media
+     * framework.
      */
     private static boolean availableMimeTypeForExternalSource(String mimeType) {
         if (mimeType == MEDIA_MIMETYPE_TEXT_SUBRIP) {
@@ -1797,15 +3200,15 @@
         final InputStream fIs = is;
         final MediaFormat fFormat = format;
 
-        // Ensure all input streams are closed.  It is also a handy
+        // Ensure all input streams are closed. It is also a handy
         // way to implement timeouts in the future.
-        synchronized(mOpenSubtitleSources) {
+        synchronized (mOpenSubtitleSources) {
             mOpenSubtitleSources.add(is);
         }
 
         // process each subtitle in its own thread
         final HandlerThread thread = new HandlerThread("SubtitleReadThread",
-              Process.THREAD_PRIORITY_BACKGROUND + Process.THREAD_PRIORITY_MORE_FAVORABLE);
+                Process.THREAD_PRIORITY_BACKGROUND + Process.THREAD_PRIORITY_MORE_FAVORABLE);
         thread.start();
         Handler handler = new Handler(thread.getLooper());
         handler.post(new Runnable() {
@@ -1822,7 +3225,7 @@
                 // TODO: do the conversion in the subtitle track
                 Scanner scanner = new Scanner(fIs, "UTF-8");
                 String contents = scanner.useDelimiter("\\A").next();
-                synchronized(mOpenSubtitleSources) {
+                synchronized (mOpenSubtitleSources) {
                     mOpenSubtitleSources.remove(fIs);
                 }
                 scanner.close();
